Show / Hide Table of Contents

# Struct SDL.SDL_MessageBoxButtonData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_MessageBoxButtonData

### Fields

| Improve this Doc View Source

#### buttonid

##### Declaration

    public int buttonid

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### flags

##### Declaration

    public SDL.SDL_MessageBoxButtonFlags flags

##### Field Value

Type | Description
--- | ---
SDL.SDL_MessageBoxButtonFlags |

| Improve this Doc View Source

#### text

##### Declaration

    public string text

##### Field Value

Type | Description
--- | ---
System.String |